<nav class="navbar navbar-expand-lg navbar-light" style="background-color: #e3f2fd;" >
  <a class="navbar-brand" [routerLink]="['/']">Stock Exchange</a>
  <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarColor03" aria-controls="navbarColor03"
          aria-expanded="false" aria-label="Toggle navigation" >
    <span class="navbar-toggler-icon"></span>
  </button>

  <div class="collapse navbar-collapse" id="navbarColor03">
    <div class="navbar-nav mr-auto"></div>
    <div *ngIf="gs.activeUser">
      Logged in as {{gs?.activeUser?.details?.username}}
      <button class="btn btn-outline-primary"  [routerLink]="['/profile']">
        <i class="fa fa-user-circle-o" aria-hidden="true"></i>
      </button>
      <button class="btn btn-outline-primary my-2 my-sm-0" type="submit" (click)="us.logout()">
        <i class="fa fa-power-off" aria-hidden="true"></i>
      </button>
    </div>
    <div *ngIf="!gs.activeUser">
      <button class="btn btn-primary" [routerLink]="['/register']">
        Register
      </button>
      <button class="btn btn-info" [routerLink]="['/login']">
        Log in
      </button>
    </div>
  </div>
</nav>